
#include <WFX/input/InputAbstractor.h>
#include <WFX/input/InputHandler.h>

using namespace WFX;
using namespace WFX::input;

AbstractInputEvent::AbstractInputEvent() {
    Code = -1;
}

AbstractInputEvent::AbstractInputEvent(Int c) {
    Code = c;
}

InputAbstractor::InputAbstractor() {
    InputHandler::getInstance().addKeyboardListener(this);
    InputHandler::getInstance().addMouseListener(this);
    InputHandler::getInstance().addJoystickListener(this);
}

InputAbstractor::~InputAbstractor() {
}

void InputAbstractor::keyPressed(KeyEvent k) {
}

void InputAbstractor::keyReleased(KeyEvent k) {
}

void InputAbstractor::mouseMoved(MouseMotionEvent e) {
}

void InputAbstractor::mouseButtonPressed(MouseButtonEvent e) {
}

void InputAbstractor::mouseButtonReleased(MouseButtonEvent e) {
}

void InputAbstractor::buttonPressed(JoystickButtonEvent e) {
}

void InputAbstractor::buttonReleased(JoystickButtonEvent e) {
}

void InputAbstractor::axisEvent(JoystickAxisEvent e) {
}


